Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.binding
Class CallConstructorBinding

    java.lang.Object
      com.google.gwt.inject.rebind.binding.CallConstructorBinding

All Implemented Interfaces:
  Binding

    public class CallConstructorBinding

extends java.lang.Object

A binding that calls a single constructor directly. Values for constructor parameters are retrieved by going back through the injector.

Constructor Summary
`CallConstructorBinding(SourceWriteUtil sourceWriteUtil, KeyUtil keyUtil)`

Method Summary
`protected void` | `addParamTypes(com.google.gwt.core.ext.typeinfo.JAbstractMethod method)`
`protected void` | `appendCreationStatement(com.google.gwt.user.rebind.SourceWriter sourceWriter, java.lang.StringBuilder sb)`
`com.google.gwt.core.ext.typeinfo.JClassType` | `getClassType()`
`RequiredKeys` | `getRequiredKeys()`
`protected java.lang.String` | `getTypeName()`
`void` | `setClassType(com.google.gwt.core.ext.typeinfo.JClassType classType, Key<?> classKey)`
`void` | `setConstructor(com.google.gwt.core.ext.typeinfo.JConstructor constructor, Key<?> key)`
`void` | `writeCreatorMethods(com.google.gwt.user.rebind.SourceWriter writer, java.lang.String creatorMethodSignature)` Writes the method necessary to create the binding's type to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallConstructorBinding

    @Inject
    public CallConstructorBinding(SourceWriteUtil sourceWriteUtil,
                                         KeyUtil keyUtil)

Method Detail

### setConstructor

    public void setConstructor(com.google.gwt.core.ext.typeinfo.JConstructor constructor,
                               Key<?> key)

### appendCreationStatement

    protected void appendCreationStatement(com.google.gwt.user.rebind.SourceWriter sourceWriter,
                                           java.lang.StringBuilder sb)

### setClassType

    public void setClassType(com.google.gwt.core.ext.typeinfo.JClassType classType,
                             Key<?> classKey)

### writeCreatorMethods

    public final void writeCreatorMethods(com.google.gwt.user.rebind.SourceWriter writer,
                                          java.lang.String creatorMethodSignature)

  Description copied from interface: `Binding`
  Writes the method necessary to create the binding's type to the writer. A method with the `creatorMethodSignature` must be written, other methods are optional.

  Specified by:
    `writeCreatorMethods` in interface `Binding`
  Parameters:
    `writer` - writer that methods are written to
    `creatorMethodSignature` - signature of method that needs to be created

### getRequiredKeys

    public RequiredKeys getRequiredKeys()

  Specified by:
    `getRequiredKeys` in interface `Binding`
  Returns:
    A tuple of two sets: One set of keys that this binding requires. This set is used to find more classes that need to be bound. The second set contains all keys that have been optionally requested.

### getClassType

    public com.google.gwt.core.ext.typeinfo.JClassType getClassType()

### getTypeName

    protected java.lang.String getTypeName()

### addParamTypes

    protected void addParamTypes(com.google.gwt.core.ext.typeinfo.JAbstractMethod method)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD